Log Endpoints - VoV Deployer

Teradata VantageCore on Virtualization (VoV) Deployer Getting Started

Product
VoV Deployer
Release Number
Deployer 5.0
Published
March 2026
ft:locale
en-US
ft:lastEdition
2026-03-31
dita:mapPath
ijo1771527092730.ditamap
dita:ditavalPath
ayr1485454803741.ditaval
dita:id
ijo1771527092730

Stream Current Log (SSE)

 GET /api/logs/current/stream?start_pos=0

Response: Server-Sent Events stream

List Archived Logs

 GET /api/logs/archived

Response:

  {
     "logs": [
       {
          "name": "vov-deployer-2026-01-22_14-30-00.log",
          "path": "/tmp/vov-deployer/archive/logs/vov-deployer-2026-01-22_14-30-00.log", 
          "size": 1048576,
          "modified": "2026-01-22T14:30:00"
       }
     ]
  }

Get Archived Log

 GET /api/logs/archived/{filename}

Response: File download

Archive Current Log

 POST /api/logs/archive

Response: 

  {
     "status": "archived",
     "path": "/tmp/vov-deployer/archive/logs/vov-deployer-2026-01-22_15-00-00.log"
  }